﻿using System;
using System.Collections.Generic;
using System.Security.Permissions;
using System.Security;
using System.Text;
using System.Net;
using System.Diagnostics;
using System.Text.RegularExpressions;
using Prologika.Reporting.Extensibility.AW;
using System.IO;

namespace Prologika.Reporting.Extensibility
{
    public static class Services
    {
        public static decimal GetRate(DateTime date, string currency)
        {
            decimal rate = 0;
            try
            {
                Trace.WriteLine("GetRate called...");
                // CAS security
                PermissionSet ps = new PermissionSet(PermissionState.None);
                Regex urlRegEx = new Regex(@"http://localhost:1966/.*"); // to access any URL that contains localhost:1966
                WebPermission wp = new WebPermission(NetworkAccess.Connect, urlRegEx);
                ps.AddPermission(wp);
                EnvironmentPermission ep = new EnvironmentPermission(PermissionState.Unrestricted);
                ps.AddPermission(ep);
                ps.Assert();

                AW.Service proxy = new Service();
                proxy.Credentials = System.Net.CredentialCache.DefaultCredentials;
                rate = proxy.GetRate(date, currency);
                System.Threading.Thread.Sleep(500);
            }
            catch (System.Exception ex)
            {
                throw ex;
            }
            return rate;
        }
        [PermissionSet(SecurityAction.Assert, Unrestricted = true)]
        public static byte[] GetMap(int customerID)
        {
            AW.Service proxy = new Service();
            proxy.Credentials = System.Net.CredentialCache.DefaultCredentials;
            return proxy.GetMap(customerID);
        }
  
    }
}
