SELECT TOP (100)	
			DimGeography.EnglishCountryRegionName, DimCustomer.FirstName, DimCustomer.LastName, 
			DimCustomer.EmailAddress, DimCustomer.Phone, SUM(FactInternetSales.SalesAmount) AS SalesAmount
FROM		DimCustomer INNER JOIN
			FactInternetSales ON DimCustomer.CustomerKey = FactInternetSales.CustomerKey INNER JOIN
			DimDate ON FactInternetSales.OrderDateKey = DimDate.DateKey INNER JOIN
			DimGeography ON DimCustomer.GeographyKey = DimGeography.GeographyKey
WHERE		(DimDate.FullDateAlternateKey = @OrderDate)
GROUP BY	DimGeography.EnglishCountryRegionName, DimCustomer.FirstName, DimCustomer.LastName, DimCustomer.EmailAddress, DimCustomer.Phone
ORDER BY	SalesAmount DESC