﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register assembly="Microsoft.ReportViewer.WebForms, Version=9.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" namespace="Microsoft.Reporting.WebForms" tagprefix="rsweb" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
    <title>Web Report Viewer</title>

    <style type="text/css">
        .style1
        {
            width: 12px;
        }
        .style3
        {
            width: 209px;
        }
        .style4
        {
            color: #844152;
        }
        .style5
        {
            width: 78px;
        }
    </style>

</head>
<body>
<h1 class="style4">WebReporter</h1>
    <form id="form1" runat="server">
    <table>
        <tr>
            <td class="style5">
                <asp:Label ID="txtServerUrl" runat="server" Text="Server Url:"></asp:Label>
            </td>
            <td class="style3">
                <asp:TextBox ID="txtServer" runat="server" CssClass="textbox" ReadOnly="True" 
                    Width="184px">http://localhost/ReportServer</asp:TextBox>
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td>
                <asp:Label ID="lblProcessingMode" runat="server" Text="Report Processing Mode"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="style5">
                <asp:Label ID="lblFolder" runat="server" Text="Folder"></asp:Label>
            </td>
            <td class="style3">
                <asp:TextBox ID="txtFolder" runat="server" CssClass="textbox" Width="183px" 
                    ReadOnly="True">/AMRS</asp:TextBox>
            </td>
            <td rowspan="2" class="style1">
                &nbsp;
            </td>
            <td rowspan="2">
                <asp:Panel ID="Panel1" runat="server" Style="border-style: groove; border-width: 1px;
                    top: 85px; left: 363px; height: 40px; width: 163px">
                    <asp:RadioButton ID="radRemote" runat="server" Checked="True" GroupName="grpReportOption"
                        Style="left: 40px; top: 96px;" Text="Remote" 
                        oncheckedchanged="ProcessingMode_Changed" AutoPostBack="True" />
                    <br />
                    <asp:RadioButton ID="radLocal" runat="server" GroupName="grpReportOption" Style="left: 40px;
                        top: 120px;" Text="Local" oncheckedchanged="ProcessingMode_Changed" 
                        AutoPostBack="True" />
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td class="style5">
                <asp:Label ID="lblReports" runat="server" Text="Reports"></asp:Label>
            </td>
            <td class="style3">
                <asp:DropDownList ID="cmbReports" runat="server" CssClass="dropdown" 
                    Height="20px" Width="190px" AutoPostBack="True" 
                    onselectedindexchanged="cmbReports_SelectedIndexChanged">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <asp:Label ID="lblError" runat="server" ForeColor="Red"></asp:Label>
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <asp:GridView ID="grdParams" runat="server" AutoGenerateColumns="False" AutoGenerateEditButton="True"
                    Caption="Parameters" CaptionAlign="Left" OnRowEditing="grdParams_RowEditing"
                    OnRowUpdating="grdParams_RowUpdating" BorderColor="#844152" BorderStyle="Solid"
                    BorderWidth="1pt" onrowcancelingedit="grdParams_RowCancelingEdit">
                    <Columns>
                        <asp:BoundField DataField="Name" HeaderText="Name" ReadOnly="True" 
                            ShowHeader="False">
                            <HeaderStyle HorizontalAlign="Left" Width="100px" />
                            <ItemStyle HorizontalAlign="Left" Width="80px" Wrap="False" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Value" HeaderText="Value" ShowHeader="False">
                            <HeaderStyle HorizontalAlign="Left" Width="200px" />
                            <ItemStyle HorizontalAlign="Left" Width="80px" Wrap="False" />
                        </asp:BoundField>
                    </Columns>
                    <EditRowStyle BackColor="#D0F0EF" />
                </asp:GridView>
            </td>
            <td valign="bottom">
                <asp:Button ID="btnRun" runat="server" Text="Run Report" CssClass="button" 
                    onclick="btnRun_Click" />
            </td>
        </tr>      
        <tr>
            <td colspan="4">
           
            </td>
        </tr>
    </table>
<div style="padding-top:10px">
    <rsweb:ReportViewer ID="reportViewer" runat="server" Visible="True" 
        Width="100%" Height="100%"
        ondrillthrough="reportViewer_Drillthrough" BorderStyle="Inset" 
        BorderColor="Silver" BorderWidth="1pt" 
        ExportContentDisposition="AlwaysInline" AsyncRendering="True">
    </rsweb:ReportViewer>
</div>
</form>
</body>
</html>
