﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WinReporter.Entities
{
    public class SalesOrderObject
    {
        private string      _salesOrderNumber;
        private DateTime    _orderDate;
        private string      _shipCity;

        public SalesOrderObject (string salesOrderNumber, DateTime orderDate, string shipCity)
        {
            _salesOrderNumber = salesOrderNumber;
            _orderDate = orderDate;
            _shipCity = shipCity;
        }
        public string SalesOrderNumber 
        {
            get
            {
                return _salesOrderNumber;
            }
            set
            {
                _salesOrderNumber = value;
            }
        }
        public DateTime OrderDate 
        {
            get
            {
                return _orderDate;
            }
            set
            {
                _orderDate = value;
            }
        }
        public string ShipCity 
        {
            get
            {
                return _shipCity;
            }
            set
            {
                _shipCity = value;
            }
        }
    }

    public class SalesOrders
    {
        private List<SalesOrderObject> _orders;

        public SalesOrders()
        {
            _orders = new List<SalesOrderObject>();
            _orders.Add(new SalesOrderObject("SO11000", new DateTime(2004, 1, 1), "Atlanta"));
            _orders.Add(new SalesOrderObject("SO11001", new DateTime(2004, 2, 1), "Dallas"));
            _orders.Add(new SalesOrderObject("SO11002", new DateTime(2004, 3, 1), "New York"));
        }

        public List<SalesOrderObject> GetData()
        {
            return _orders;
        }
    }

}
