#region Disclaimer by Teo Lachev
/*============================================================================
  The CustomDataExtension sample uses code from the Microsoft File Share Data 
  Processing Extension Sample. 
  The orginal code base has been modified whenever needed to re-purpose the 
  extension to support ADO.NET datasets. Most code changes are implemented in the 
  DsDataReader class.
===========================================================================*/
#endregion

using System;
using Microsoft.ReportingServices.DataProcessing;

namespace Prologika.RS.Extensibility.CustomDataProcessingExtension
{
    /// <summary>
    /// Represents a database transaction
    /// </summary>
   public class DsTransaction : IDbTransaction
   {
      public void Commit()
      {
         /*
         * Implement Commit here. Although the template does
         * not provide an implementation, it should never be 
         * a no-op because data corruption could result.
         */
      }

      public void Rollback()
      {
         /*
         * Implement Rollback here. Although the template does
         * not provide an implementation, it should never be
         * a no-op because data corruption could result.
         */
      }

      public IDbConnection Connection
      {
         /*
         * Return the connection for the current transaction.
         */

         get  { return this.Connection; }
      }    

      public void Dispose()
      {
         // TODO: Displose implementation
      }
   }
}

